require "AnAl"

local image 				= "a_move_01.png"
local frameWidth 			= 150
local frameHeight 			= 150
local delayBetweenFrames 	= 0.1		-- delay (in seconds) between frames
local numberOfFrames 		= 10		-- '0' means use all frames on the sprite sheet
local frameOffset 			= 0			-- the start frame of the animation
local playMode 				= "loop" 	-- can be "loop" or "once"

local animation = nil

function love.load()
	local image = love.graphics.newImage("animations/" .. image)
	animation = newAnimation(image, frameWidth, frameHeight, delayBetweenFrames, numberOfFrames, frameOffset, nil)
	animation:setMode(playMode)
	
	--love.graphics.setBlendMode("subtractive")
	love.graphics.setColor(254,254,254)
end


function love.update(dt)
	animation:update(dt)

end

function love.keypressed(key)
	if key == ' ' then
		animation:reset()
		animation:play()
	end
end


function love.draw()
	
	local screenWidth = love.graphics.getWidth()
	local screenHeight = love.graphics.getHeight()
	animation:draw( (screenWidth / 2) - (frameWidth / 2), (screenHeight / 2) - (frameHeight / 2) ) 
end